[package]
name = "ghost-nomination-pools-benchmarking"
version = "26.0.0"
authors.workspace = true
edition.workspace = true
license = "Apache-2.0"
homepage = "https://substrate.io"
repository.workspace = true
description = "Fork of FRAME nomination pools pallet benchmarking"
readme = "README.md"

[dependencies]
# parity
codec = { workspace = true, default-features = false, features = ["derive"] }
scale-info = { workspace = true, default-features = false, features = ["derive"] }

# FRAME
frame-benchmarking = { workspace = true, default-features = false }
frame-election-provider-support = { workspace = true, default-features = false }
frame-support = { workspace = true, default-features = false }
frame-system = { workspace = true, default-features = false }
pallet-bags-list = { workspace = true, default-features = false }
pallet-staking = { workspace = true, default-features = false }
ghost-nomination-pools = { workspace = true, default-features = false }

# Substrate Primitives
sp-runtime = { workspace = true, default-features = false }
sp-runtime-interface = { workspace = true, default-features = false }
sp-staking = { workspace = true, default-features = false }
sp-std = { workspace = true, default-features = false }

[dev-dependencies]
pallet-balances = { workspace = true, default-features = false }
pallet-timestamp = { workspace = true }
pallet-staking-reward-curve = { workspace = true }
sp-core = { workspace = true }
sp-io = { workspace = true }

[features]
default = ["std"]

std = [
	"codec/std",
	"frame-benchmarking/std",
	"frame-election-provider-support/std",
	"frame-support/std",
	"frame-system/std",
	"pallet-bags-list/std",
	"pallet-balances/std",
	"ghost-nomination-pools/std",
	"pallet-staking/std",
	"pallet-timestamp/std",
	"scale-info/std",
	"sp-core/std",
	"sp-io/std",
	"sp-runtime-interface/std",
	"sp-runtime/std",
	"sp-staking/std",
	"sp-std/std",
]

runtime-benchmarks = [
	"frame-benchmarking/runtime-benchmarks",
	"frame-election-provider-support/runtime-benchmarks",
	"frame-support/runtime-benchmarks",
	"frame-system/runtime-benchmarks",
	"pallet-bags-list/runtime-benchmarks",
	"pallet-balances/runtime-benchmarks",
	"ghost-nomination-pools/runtime-benchmarks",
	"pallet-staking/runtime-benchmarks",
	"pallet-timestamp/runtime-benchmarks",
	"sp-runtime/runtime-benchmarks",
	"sp-staking/runtime-benchmarks",
]
